Bug 108475 - Jumps to other slides broken unless in Slide show setting Mouse pointer as pen is selected (GTK3)
Summary: Jumps to other slides broken unless in Slide show setting Mouse pointer as pe...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.3.5 target:5.4.0.2
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-06-12 06:59 UTC by Michael Anders
Modified: 2017-06-25 14:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A presentation employing Links that do work with the "pen cursor" and do not work whe using the regular cursor. (15.27 KB, application/vnd.oasis.opendocument.presentation)
2017-06-12 06:59 UTC, Michael Anders
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Anders 2017-06-12 06:59:55 UTC
Created attachment 133964 [details]
A presentation employing Links that do work with the "pen cursor" and do not work whe using the regular cursor.

Just as in Summary:  Jumping to other Slides or Objects won't work unless pen  is selcted in slideshow settings.
See the attached demo presentation.

I am running Impress from the repositories version in Lubuntu Zesty Zapus.
Version: 5.3.1.2
Build ID: 1:5.3.1-0ubuntu2
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: de-DE (en_US.UTF-8); Calc: grou
Comment 1 Buovjaga 2017-06-12 10:53:59 UTC
They work fine here without the setting.

Try launching from the command line with

SAL_USE_VCLPLUGIN=gen libreoffice

and see if it makes a difference.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha1+ (x64)
Build ID: d02d52887678cd3d518c19a235bc443c292b3041
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2017-05-01_22:53:14
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Michael Anders 2017-06-12 13:49:24 UTC
Launched from a terminal with
SAL_USE_VCLPLUGIN=gen libreoffice
the jumps do work on the system I am currently on.
******************************************
Version: 5.3.1.2
Build ID: 1:5.3.1-0ubuntu2
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: de-DE (en_US.UTF-8); Calc: group
********************************************

Launched from the Lubuntu menu they don't work.
********************************************
Version: 5.3.1.2
Build ID: 1:5.3.1-0ubuntu2
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; VCL: x11; Layout Engine: new; 
Locale: de-DE (en_US.UTF-8); Calc: group
************************************************

Seems the problem occurs with VCL: x11
and not with VCL: gtk3
Comment 3 Michael Anders 2017-06-12 14:00:40 UTC
Sorry, I was mistaken: It's just the other way round: They do work with x11, the're broken with gtk3.
I just started another system and it shows the same behavior.
Comment 4 Buovjaga 2017-06-15 16:19:11 UTC
Repro with gtk3

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 2802dca10eef67554a81cb2347d5f648fa6fcd63
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 10th 2017
Comment 5 Caolán McNamara 2017-06-22 16:05:23 UTC
the mouse down has been treated as a swipe at that ends up ignoring the mouse up and the mouse up rather than down is the hander for the hyperlink in this case
Comment 6 Commit Notification 2017-06-22 16:25:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1adc3c76d773adc92d1c6d858358b7caa64e929a

Resolves: tdf#108475 swipe only if some reasonable movement was involved

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2017-06-22 16:27:13 UTC
backports in gerrit for 5-4 and 5-3
Comment 8 Buovjaga 2017-06-22 16:57:12 UTC
Fix works great!

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 2522bbeecc628bb16ee17286e11b54613f78b195
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 22nd 2017
Comment 9 Commit Notification 2017-06-25 14:08:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be95033358460a3c411016297eb45a042460d4c2&h=libreoffice-5-3

Resolves: tdf#108475 swipe only if some reasonable movement was involved

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-06-25 14:08:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c768420a4b0a6543ef802549f90f489063ac609&h=libreoffice-5-4

Resolves: tdf#108475 swipe only if some reasonable movement was involved

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.